Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 89029

Summary: Properties nodes are not deleted correctly
Product: utilities Reporter: Jana Maleckova <janie>
Component: PropertiesAssignee: Alexey Butenko <alexeybutenko>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3    
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 157754    
Bug Blocks:    

Description Jana Maleckova 2006-11-09 14:42:04 UTC
NetBeans IDE Dev (Build 200611081900)
1.6.0-rc; Java HotSpot(TM) Client VM 1.6.0-rc-b99
Windows XP version 5.1 running on x86
cs_CZ (nb); Cp1250
dual core

Description:
============
All actions serving for editing, deleting and so on of properties nodes in
project win, are not saved.
steps
1. create new properties file
2. add e.g. 3 properties in properties editor and do save
3. close properties editor or class editor if are opened.
4. delete all nodes under property file from project win, you've created before
5. now it would have been expected, property file is empty but when you check it
in your file system, file was not cleaned.

Operation is done only if you open the property file again and do save. Then all
changes are accepted but it's not correct behaviour.
Comment 1 Marian Petras 2007-01-17 16:56:01 UTC
Confirmed, accepted.
Comment 2 Alexey Butenko 2009-02-02 09:58:41 UTC
I think that key nodes don't needed under property file node at all. 
It is better to move it to Navigator window.
So I created separate issue for that. 
Comment 3 Alexey Butenko 2009-03-31 12:37:37 UTC
changeset 6f190c73dac1
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo